<%@ Language=VBScript %>
<%

Option Explicit

Dim NSLookup
Dim DomainName
Dim Success
Dim RR

Set NSLookup = Server.CreateObject( "BZSNetComp.NSLookup" )

NSLookup.Server = "216.68.1.100"
NSLookup.SimpleResults = False
NSLookup.QueryType = 6 'SOA Query
DomainName = "brezasoft.com"

Success = NSLookup.Query( DomainName )
If Not Success Then	
	Response.Write "Error performing DNS query."	
	Response.End
End If

%>
<HTML>
<BODY>
<P>Response for query on <% =DomainName %> contained <% =NSLookup.Result.Count %> record(s).</P>
<TABLE BORDER="1">	
	<TR>
		<TH>RR Type</TH>
		<TH>Values</TH>
	</TR>
<%

For Each RR In NSLookup.Result	
	Response.Write "<TR><TD>"	
	Select Case RR.R_TYPE		
		Case 1:			
			Response.Write "A Record"		
		Case 2:			
			Response.Write "NS Record"		
		Case 6:			
			Response.Write "SOA Record"		
		Case Else:			
			Response.Write "Other (" & RR.R_TYPE & ")"	
	End Select	
	Response.Write "</TD><TD>"	
	Select Case RR.R_TYPE		
		Case 1:			
			Response.Write "ADDRESS: " & RR.RDATA.ADDRESS		
		Case 2:			
			Response.Write "NSDNAME: " & RR.RDATA.NSDNAME		
		Case 6:			
			Response.Write "MNAME: " & RR.RDATA.MNAME & "<BR>"			
			Response.Write "RNAME: " & RR.RDATA.RNAME & "<BR>"			
			Response.Write "SERIAL: " & RR.RDATA.SERIAL & "<BR>"			
			Response.Write "REFRESH: " & RR.RDATA.REFRESH & "<BR>"			
			Response.Write "RETRY: " & RR.RDATA.RETRY & "<BR>"			
			Response.Write "EXPIRE: " & RR.RDATA.EXPIRE & "<BR>"			
			Response.Write "MINIMUM: " & RR.RDATA.MINIMUM & "<BR>"		
		Case Else:			
			Response.Write "(Other)"	
	End Select	
	Response.Write "</TD></TR>"
Next

%>
</TABLE>
</BODY>
</HTML>
<%

Set NSLookup = Nothing

%>